View Issue Details

IDProjectCategoryView StatusLast Update
0018942PackagesDatabasepublic2011-10-03 15:45
ReporterAvishai Assigned ToVincent Snijders  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.31 (SVN) 
Summary0018942: Data Controls do not support BiDiMode
DescriptionNone of the Data Controls support BiDiMode.
Tagsbidi, dbcontrols, Locale
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0019303 acknowledged Lazarus BiDi meta issue 

Activities

Avishai

2011-06-30 07:04

reporter   ~0049524

On the "Data Controls" tab, only TDBText publishes "property BiDiMode" and "property ParentBiDiMode". But if you set the Parent to BiDiMode:= bdRightToLeft, all of these components seem to work RightToLeft. It seems that all that is needed is to add these properties.

Avishai

2011-10-03 14:21

reporter   ~0052445

This has been resolved. Can it be closed?

Vincent Snijders

2011-10-03 14:44

manager   ~0052447

Set to resolved on reporter's request.

Issue History

Date Modified Username Field Change
2011-03-18 06:43 Avishai New Issue
2011-03-18 06:43 Avishai Widgetset => Win32/Win64
2011-03-18 06:45 Avishai Tag Attached: bidi
2011-03-18 06:45 Avishai Tag Attached: dbcontrols
2011-03-18 06:46 Avishai Tag Attached: Locale
2011-03-30 22:55 Vincent Snijders LazTarget => -
2011-03-30 22:55 Vincent Snijders Status new => acknowledged
2011-03-30 22:55 Vincent Snijders Severity major => feature
2011-05-06 22:25 Juha Manninen Relationship added related to 0019303
2011-06-30 07:04 Avishai Note Added: 0049524
2011-10-03 14:21 Avishai Note Added: 0052445
2011-10-03 14:44 Vincent Snijders Status acknowledged => resolved
2011-10-03 14:44 Vincent Snijders Resolution open => fixed
2011-10-03 14:44 Vincent Snijders Assigned To => Vincent Snijders
2011-10-03 14:44 Vincent Snijders Note Added: 0052447
2011-10-03 15:45 Avishai Status resolved => closed